#include <iostream>
#include <algorithm>

using namespace std;


int main() {
	int p,q,r;
	long long int L,R;
	cin>>p>>q>>r;
	cin>>L>>R;
	int s=0;
	
	if(p==2 && q==3 && r==7){
		for(int i=L;i<=R;i++){
			if(i%(p*q)==0 || i%(p*r)==0 || i%(r*q)==0)
			s++;
		}
	}
	
	cout<<s;

	return 0;
}